import request from '@/config/axios'

// 查询变量模板设备从机列表
export function listSalve(query) {
  return request.get({
    url: '/iot/salve/list',
 
    params: query
  })
}

// 查询变量模板设备从机详细
export function getSalve(id) {
  return request.get({
    url: '/iot/salve/' + id,
  
  })
}

// 新增变量模板设备从机
export function addSalve(data) {
  return request.post({
    url: '/iot/salve',
   
    data: data
  })
}

// 修改变量模板设备从机
export function updateSalve(data) {
  return request.put({
    url: '/iot/salve',
 
    data: data
  })
}

// 删除变量模板设备从机
export function delSalve(id) {
  return request.delete({
    url: '/iot/salve/' + id,
   
  })
}

//根据产品id查询从机列表
export function listByPid(params) {
    return request.get({
        url: "/iot/salve/listByPId",
       
        params: params,
    })
}
